using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x13cc, 0x13d3 )]
	public class LeatherChest : BaseArmor
	{
		[Constructable]
		public LeatherChest() : base( 0x13CC, OreInfo.Iron, 13, ArmorMaterialType.Leather, ArmorBodyType.Chest )
		{
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 15;
		}

		public LeatherChest( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}