using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x1439, 0x1438 )]
	public class WarHammer : BaseBashing
	{
		[Constructable]
		public WarHammer() : base( 8, 36, 31, 0x233, 0x239, 1, SkillName.Macing, WeaponType.Bashing, WeaponAnimation.Bash2H, 0x1439, Layer.TwoHanded )
		{
			Weight = 10.0;
		}

		public WarHammer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}